"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SqlDatabaseJdbcDriver = void 0;
class SqlDatabaseJdbcDriver {
    constructor() {
        this.name = 'sqlDatabaseJdbcDriver';
        this.displayName = 'Database (JDBC Driver)';
        this.properties = [
            {
                displayName: 'Host',
                name: 'databaseHost',
                type: 'string',
                required: true,
                default: '',
            },
            {
                displayName: 'Database',
                name: 'databaseName',
                type: 'string',
                required: false,
                default: '',
            },
            {
                displayName: 'Username',
                name: 'username',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Password',
                name: 'password',
                type: 'string',
                typeOptions: {
                    password: true,
                },
                default: '',
            },
            {
                displayName: 'JDBC URL',
                name: 'jdbcUrl',
                type: 'string',
                default: '',
            },
            {
                displayName: 'JDBC Files',
                name: 'jdbcFiles',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Driver Files',
                name: 'driverFiles',
                placeholder: 'Add File',
                type: 'fixedCollection',
                default: '',
                typeOptions: {
                    multipleValues: true,
                },
                description: '',
                options: [
                    {
                        name: 'driverFilePathes',
                        displayName: 'Files',
                        values: [
                            {
                                displayName: 'Path',
                                name: 'name',
                                type: 'string',
                                default: 'Path of the file',
                            },
                        ],
                    },
                ],
            },
        ];
    }
}
exports.SqlDatabaseJdbcDriver = SqlDatabaseJdbcDriver;
//# sourceMappingURL=SqlDatabaseJdbcDriver.credentials.js.map