"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SqlDatabase = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const SqlDatabaseV1_node_1 = require("./v1/SqlDatabaseV1.node");
class SqlDatabase extends n8n_workflow_1.VersionedNodeType {
    constructor() {
        const baseDescription = {
            displayName: 'SQL Database',
            name: 'sqlDatabase',
            group: ['output'],
            subtitle: '={{$parameter["operation"] + ": " + $parameter["resource"]}}',
            description: 'Connect to a database and execute queries',
            defaultVersion: 1,
        };
        const nodeVersions = {
            1: new SqlDatabaseV1_node_1.SqlDatabaseV1(baseDescription),
        };
        super(nodeVersions, baseDescription);
    }
}
exports.SqlDatabase = SqlDatabase;
//# sourceMappingURL=SqlDatabase.node.js.map