"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configureDatabaseProperties = void 0;
exports.configureDatabaseProperties = [
    {
        displayName: 'Connection Type',
        name: 'connectionType',
        type: 'options',
        noDataExpression: true,
        required: true,
        displayOptions: {
            show: {
                resource: ['database'],
                operation: ['configure'],
            },
        },
        options: [
            {
                name: 'JDBC Driver',
                value: 'jdbc',
                description: 'Connect using a specified JDBC driver',
            },
            {
                name: 'ODBC Data Source',
                value: 'odbc',
                description: 'Connect using an ODBC Data Source',
            },
        ],
        default: 'jdbc',
    },
    {
        displayName: 'URL',
        name: 'jdbcUrl',
        type: 'string',
        hint: 'JDBC Connection URL',
        default: '',
        displayOptions: {
            show: {
                resource: ['database'],
                operation: ['configure'],
                connectionType: ['jdbc'],
            },
        },
    },
    {
        displayName: 'Driver Class',
        name: 'jdbcClass',
        type: 'string',
        hint: 'JDBC Driver Class',
        default: '',
        displayOptions: {
            show: {
                resource: ['database'],
                operation: ['configure'],
                connectionType: ['jdbc'],
            },
        },
    },
    {
        displayName: 'Required Files',
        name: 'jdbcFiles',
        placeholder: 'Add file to classpath',
        type: 'fixedCollection',
        default: {},
        typeOptions: {
            multipleValues: true,
        },
        description: 'Pathes to libraries or JAR files which are required by the driver',
        options: [
            {
                name: 'files',
                displayName: 'Files',
                values: [
                    {
                        displayName: 'Path',
                        name: 'path',
                        type: 'string',
                        default: '',
                    },
                ],
            },
        ],
        displayOptions: {
            show: {
                resource: ['database'],
                operation: ['configure'],
                connectionType: ['jdbc'],
            },
        },
    },
    {
        displayName: 'Connection String',
        name: 'odbcConnectionString',
        type: 'string',
        default: '',
        displayOptions: {
            show: {
                resource: ['database'],
                operation: ['configure'],
                connectionType: ['odbc'],
            },
        },
    },
];
//# sourceMappingURL=properties.js.map