"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.execute = void 0;
async function execute(index) {
    let returnData = [];
    const items = this.getInputData();
    for (let i = 0, n = items.length; i < n; ++i) {
        let query = this.getNodeParameter('sqlStatement', i);
        const { parameters } = this.getNodeParameter('sqlParameters', i);
        if (parameters.length > 0) {
            const regex = /%[a-zA-Z0-9]{1,12}%/;
            const tokens = query.match(regex);
            for (let i = 0, n = tokens.length; i < n; ++i) {
                const matchedParams = parameters.filter(parameter => parameter.key === tokens[i].substring(1, tokens[i].length - 1));
                if (matchedParams.length > 0) {
                    const { value } = matchedParams[0];
                    query = query.replaceAll(tokens[i], value);
                }
            }
        }
        returnData.push(query);
    }
    return this.helpers.returnJsonArray({ queries: returnData });
}
exports.execute = execute;
//# sourceMappingURL=execute.js.map