"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.statementPrepareProperties = void 0;
exports.statementPrepareProperties = [
    {
        displayName: 'SQL Statement',
        name: 'sqlStatement',
        type: 'string',
        required: true,
        typeOptions: {
            rows: 8
        },
        displayOptions: {
            show: {
                resource: ['statement'],
                operation: ['prepare'],
            },
        },
        default: '',
    },
    {
        displayName: 'Statement Parameters',
        name: 'sqlParameters',
        placeholder: 'Add Parameter',
        type: 'fixedCollection',
        default: {},
        typeOptions: {
            multipleValues: true,
        },
        description: 'Add dynamic parameters to SQL statement',
        options: [
            {
                name: 'parameters',
                displayName: 'Parameters',
                values: [
                    {
                        displayName: 'Key',
                        name: 'key',
                        type: 'string',
                        default: 'Name of the metadata key to add.',
                        description: 'Key used for replacement',
                    },
                    {
                        displayName: 'Value',
                        name: 'value',
                        type: 'string',
                        default: '',
                        description: 'Value to set for the parameter',
                    },
                ],
            },
        ],
        displayOptions: {
            show: {
                resource: ['statement'],
                operation: ['prepare'],
            },
        },
    }
];
//# sourceMappingURL=properties.js.map