"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeStatementRequest = exports.createPoolRequest = void 0;
const jdbc = __importStar(require("./jdbc"));
async function createPoolRequest() {
    const { username, password, connectionUrl, driverClass, driverDependencies } = await this.getCredentials('sqlDatabase');
    const classPath = Array.isArray(driverDependencies) ? driverDependencies : JSON.parse(driverDependencies);
    const jdbcConfig = {
        url: connectionUrl,
        drivername: driverClass ? driverClass : '',
        minpoolsize: 10,
        maxpoolsize: 100,
        user: username,
        password: password,
        properties: {}
    };
    const jvmOptions = ['-Xrs'];
    const jvmClassPath = classPath;
    return jdbc.database.configure(jvmOptions, jvmClassPath, jdbcConfig);
}
exports.createPoolRequest = createPoolRequest;
async function executeStatementRequest(pool, query) {
    let rows = [];
    try {
        const resultSet = await jdbc.statement.executeQuery(pool, query);
        const parsedResultSet = await jdbc.resultset.parse(resultSet);
        rows = parsedResultSet.rows;
    }
    catch (e) {
        console.log(e);
        throw e;
    }
    return rows;
}
exports.executeStatementRequest = executeStatementRequest;
//# sourceMappingURL=index.js.map