"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.release = exports.reserve = void 0;
const reserve = (db) => {
    return new Promise((resolve, reject) => {
        db.reserve(function (err, connobj) {
            if (err) {
                reject({ err });
            }
            else {
                resolve({ err, connobj, conn: connobj.conn });
            }
        });
    });
};
exports.reserve = reserve;
const release = async (db, connobj) => {
    return new Promise((resolve, reject) => {
        db.release(connobj, function (result) {
            if (result === null) {
                resolve({ result: true });
            }
            else {
                reject({ err: result, result: false });
            }
        });
    });
};
exports.release = release;
//# sourceMappingURL=pool.js.map