"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeQuery = void 0;
const pool_1 = require("./pool");
const executeQuery = (db, sql) => {
    return new Promise(async (resolve, reject) => {
        try {
            const { err, connobj, conn } = await (0, pool_1.reserve)(db);
            if (err) {
                reject(err);
                return;
            }
            conn.createStatement(function (err, statement) {
                if (err) {
                    reject(err);
                    return;
                }
                statement.executeQuery(sql, async function (err, resultSet) {
                    await (0, pool_1.release)(db, connobj);
                    if (err) {
                        reject(err);
                    }
                    else {
                        resolve(resultSet);
                    }
                });
            });
        }
        catch (e) {
            console.log(e);
            throw e;
        }
    });
};
exports.executeQuery = executeQuery;
//# sourceMappingURL=statement.js.map